[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'rttiutils' (#fcl)

# ParseStoredItem

Split a property reference to component reference and property name

## Declaration

Source position: rttiutils.pp line 128

`function ParseStoredItem(`
`const Item: string;`
`var CompName: string;`
`var PropName: string`
`):Boolean;`

## Arguments

`Item` |  | Property reference to parse
`CompName` |  | Component part of property reference.
`PropName` |  | Property name part of property reference.

## Function result

True if Item contains a valid property reference

## Description

ParseStoredItem parses the property reference Item and splits it in a reference to a component (returned in CompName) and a name of a property (returned in PropName). This function basically does the opposite of CreateStoredItem. Note that both names should be non-empty, i.e., at least 1 dot character must appear in Item.

## Errors

If an error occurred during parsing, False is returned.

## See also

CreateStoredItem |  | Concatenates component and property name
UpdateStoredList |  | Update a stringlist with object references
TPropsStorage.StoreObjectsProps |  | Store a list of component properties
TPropsStorage.LoadObjectsProps |  | Load a list of component properties

Documentation generated on: Feb 26 2014